summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xbitbake/bin/toaster8
-rw-r--r--bitbake/lib/toaster/toastermain/settings.py1
-rw-r--r--bitbake/toaster-requirements.txt3
3 files changed, 3 insertions, 9 deletions
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index 6d1ec0573a..528e17e41f 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -176,15 +176,11 @@ notify_chldexit() {
verify_prereq() {
# Verify prerequisites
- if ! echo "import django; print (1,) == django.VERSION[0:1] and django.VERSION[1:2][0] in (6,)" | python 2>/dev/null | grep True >/dev/null; then
- printf "This program needs Django 1.6. Please install with\n\npip install django==1.6\n"
+ if ! echo "import django; print (1,) == django.VERSION[0:1] and django.VERSION[1:2][0] in (8,)" | python 2>/dev/null | grep True >/dev/null; then
+ printf "This program needs Django 1.8. Please install with\n\npip install django<=1.8.7\n"
return 2
fi
- if ! echo "import south; print reduce(lambda x, y: 2 if x==2 else 0 if x == 0 else y, map(lambda x: 1+cmp(x[1]-x[0],0), zip([0,8,4], map(int,south.__version__.split(\".\"))))) > 0" | python 2>/dev/null | grep True >/dev/null; then
- printf "This program needs South 0.8.4. Please install with\n\npip install south==0.8.4\n"
- return 2
- fi
return 0
}
diff --git a/bitbake/lib/toaster/toastermain/settings.py b/bitbake/lib/toaster/toastermain/settings.py
index de686b2edc..7c559bc7a1 100644
--- a/bitbake/lib/toaster/toastermain/settings.py
+++ b/bitbake/lib/toaster/toastermain/settings.py
@@ -276,7 +276,6 @@ INSTALLED_APPS = (
'django.contrib.humanize',
'bldcollector',
'toastermain',
- 'south',
)
diff --git a/bitbake/toaster-requirements.txt b/bitbake/toaster-requirements.txt
index 1d7d21b331..5d34494d54 100644
--- a/bitbake/toaster-requirements.txt
+++ b/bitbake/toaster-requirements.txt
@@ -1,5 +1,4 @@
-Django==1.6
-South==0.8.4
+Django==1.8.6
argparse==1.2.1
wsgiref==0.1.2
beautifulsoup4>=4.4.0